Bug 19954 - Update popup window templates to use Bootstrap grid: Patrons
Summary: Update popup window templates to use Bootstrap grid: Patrons
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Whiteboard:
Keywords: Academy
Depends on: 19641
Blocks: 19931
  Show dependency treegraph
 
Reported: 2018-01-11 17:24 UTC by Owen Leonard
Modified: 2018-03-23 00:57 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19954: Update popup window templates to use Bootstrap grid: Patrons (5.69 KB, patch)
2018-01-11 18:26 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19954: Update popup window templates to use Bootstrap grid: Patrons (5.69 KB, patch)
2018-01-18 03:56 UTC, Zoe Bennett
Details | Diff | Splinter Review
Bug 19954: Update popup window templates to use Bootstrap grid: Patrons (5.75 KB, patch)
2018-01-18 03:58 UTC, Zoe Bennett
Details | Diff | Splinter Review
Bug 19954: Update popup window templates to use Bootstrap grid: Patrons (5.89 KB, patch)
2018-02-16 12:54 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19954: Update popup window templates to use Bootstrap grid: Patrons (5.95 KB, patch)
2018-02-16 13:41 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 19954: Update popup window templates to use Bootstrap grid: Patrons (6.02 KB, patch)
2018-02-18 13:41 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-01-11 17:24:54 UTC
This bug falls under the omnibus Bug 19931, "Update popup window templates to use Bootstrap grid." Updated in this patch will be two patron-related templates: moremember-brief.tt and update-child.tt.
Comment 1 Owen Leonard 2018-01-11 18:26:43 UTC Comment hidden (obsolete)
Comment 2 Zoe Bennett 2018-01-18 03:56:48 UTC Comment hidden (obsolete)
Comment 3 Zoe Bennett 2018-01-18 03:58:16 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2018-02-04 15:33:52 UTC
Depends on a bug not signed off.
Comment 5 Owen Leonard 2018-02-09 16:57:14 UTC
(In reply to Jonathan Druart from Bug 19641)
> Before:
>   https://screenshots.firefox.com/aiunxdJJDVm8KUyk/pro.kohadev.org
> After:
>   https://screenshots.firefox.com/hNHmyPk4g8VNpj0C/pro.kohadev.org
> 
> Why is it better?
>
> Same for the brief view:
> Before:
>   https://screenshots.firefox.com/62t0wbESsXjcuKaO/pro.kohadev.org
> After:
>   https://screenshots.firefox.com/oAnGeNsYW9s3qvTv/pro.kohadev.org

I was not trying to change the layout per se, it's a consequence of the grid change. I find the changes to be neutral, especially since the view people will see normally is the small popup.

The patron brief view triggered from the duplicate patron warning is always going to look strange if no primary contact information appears.
Comment 6 Katrin Fischer 2018-02-16 06:46:40 UTC
Please rebase!

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 19954: Update popup window templates to use Bootstrap grid: Patrons
Using index info to reconstruct a base tree...
M	koha-tmpl/intranet-tmpl/prog/en/modules/members/update-child.tt
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/members/update-child.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/members/update-child.tt
error: Failed to merge in the changes.
Patch failed at 0001 Bug 19954: Update popup window templates to use Bootstrap grid: Patrons
The copy of the patch that failed is found in: .git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-19954-Update-popup-window-templates-to-use-Boo-iaYLLo.patch
Comment 7 Owen Leonard 2018-02-16 12:54:35 UTC Comment hidden (obsolete)
Comment 8 Claire Gravely 2018-02-16 13:41:11 UTC
Created attachment 71754 [details] [review]
Bug 19954: Update popup window templates to use Bootstrap grid: Patrons

This patch updates two patron-related templates to use the
Bootstrap grid instead of the YUI grid.

This patch also corrects an unrelated error in update-child.tt where
some JS variable declarations required by members-menu.js were
missing.

To test you must have more than one adult-type patron category defined.

- Locate and view a child-type patron record.
- From the "More" menu in the toolbar, choose "Update child to adult
  patron."
  - The popup window which appears should look correct and work
    correctly.
  - The table of patron categories should be sortable.
- Add a new patron and enter the first and last names of an existing
  patron.
  - When Koha asks to confirm a possible duplicate record, click the
    "View existing record" link. The popup which is triggered should
    look correct.

Signed-off-by: Zoe Bennett <zoebennett1308@gmail.com>
Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 9 Katrin Fischer 2018-02-18 13:41:42 UTC
Created attachment 71906 [details] [review]
Bug 19954: Update popup window templates to use Bootstrap grid: Patrons

This patch updates two patron-related templates to use the
Bootstrap grid instead of the YUI grid.

This patch also corrects an unrelated error in update-child.tt where
some JS variable declarations required by members-menu.js were
missing.

To test you must have more than one adult-type patron category defined.

- Locate and view a child-type patron record.
- From the "More" menu in the toolbar, choose "Update child to adult
  patron."
  - The popup window which appears should look correct and work
    correctly.
  - The table of patron categories should be sortable.
- Add a new patron and enter the first and last names of an existing
  patron.
  - When Koha asks to confirm a possible duplicate record, click the
    "View existing record" link. The popup which is triggered should
    look correct.

Signed-off-by: Zoe Bennett <zoebennett1308@gmail.com>
Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2018-02-18 13:42:21 UTC
Moved buttons are ok for me.
Comment 11 Jonathan Druart 2018-02-18 19:50:04 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 12 Nick Clemens 2018-03-23 00:57:55 UTC
Enhancement, not backported for 17.11